Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.spi
Class AbstractRenderContext

    java.lang.Object
      org.jboss.portal.common.invocation.AbstractInvocationContext
          org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext
              org.jboss.portal.portlet.impl.spi.AbstractRenderContext

All Implemented Interfaces:
  InvocationContext, PortletInvocationContext, RenderContext

Direct Known Subclasses:
  JSFRenderContext, PortletInvocationFactory.ControllerRenderContext, TestRenderContext

    public abstract class AbstractRenderContext

extends AbstractPortletInvocationContext
implements RenderContext

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext
`markupInfo, mode, navigationalState, windowState`

Constructor Summary
`protected` | `AbstractRenderContext(Mode mode, WindowState windowState, StateString navigationalState, MarkupInfo markupInfo)`

Method Summary

Methods inherited from class org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext
`encodeResourceURL, getClientRequest, getClientResponse, getMarkupInfo, getMode, getNavigationalState, getWindowState`

Methods inherited from class org.jboss.portal.common.invocation.AbstractInvocationContext
`addResolver, addResolver, getAttribute, getAttributeResolver, removeAttribute, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.portlet.spi.PortletInvocationContext
`encodeResourceURL, getMarkupInfo, getMode, getNavigationalState, getWindowState, renderURL`

Methods inherited from interface org.jboss.portal.common.invocation.InvocationContext
`getAttribute, getAttributeResolver, removeAttribute, setAttribute`

Constructor Detail

### AbstractRenderContext

    protected AbstractRenderContext(Mode mode,
                                    WindowState windowState,
                                    StateString navigationalState,
                                    MarkupInfo markupInfo)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD